# inquiryPayment

> Use this API to inquire about the transaction status and other information about a previously submitted payment request.

`POST /v1/payments/inquiryPayment`

Use this API to inquire about the transaction status and other information about a previously submitted payment request.

# Structure

A message consists of a header and body. The following sections are focused on the body structure. For the header structure, see： 

-   [Request header](https://docs.antom.com/ac/ams/api_fund.md#ML5ur)
-   [Response header](https://docs.antom.com/ac/ams/api_fund.md#WWH90)

> **Note**: Set the data type of each field (except array) as String. This means that you must use double quotation marks (" ") to enclose the field value. Examples:
>
> -   If the data type of a field is Integer and its value is `20`, set it as "`20`". 
> -   If the data type of a field is Boolean and its value is `true`, set it as "`true`".

## Request parameters

#### paymentRequestId (String)

The unique ID that is assigned by a merchant to identify a payment request. _paymentRequestId_ and _paymentId_ cannot both be null. If both _paymentRequestId_ and _paymentId_ are specified, _paymentId_ takes precedence.

More information:

- Maximum length: 64 characters

#### paymentId (String)

The unique ID that is assigned by Antom to identify a payment. _paymentRequestId_ and _paymentId_ cannot both be null. A one-to-one correspondence between _paymentId_ and _paymentRequestId_ exists. If both _paymentRequestId_ and _paymentId_ are specified, _paymentId_ takes precedence.

More information:

- Maximum length: 64 characters

#### merchantAccountId (String)

The unique ID to identify a merchant account.

> **Note**: Specify this parameter when you use a single client ID across multiple locations.

More information:

- Maximum length: 32 characters

## Response parameters

#### result (Result, REQUIRED)

Information about the request calling result.

> **Note**: This field doesn't indicate the payment result. This field only indicates whether the [**inquiryPayment**](https://docs.antom.com/ac/ams/paymentri_online.md) API is called successfully.

##### resultCode (String, REQUIRED)

Result code. Possible values are listed in the Result/Error codes table on this page.

More information:

- Maximum length: 64 characters

##### resultStatus (String, REQUIRED)

Result status. Valid values are:  

-   `S`: Indicates that this API is called successfully. 
-   `F`: Indicates that this API call is failed. 
-   `U`: Indicates that the calling status of this API is unknown.

##### resultMessage (String, REQUIRED)

Result message that explains the result code.

More information:

- Maximum length: 256 characters

#### paymentStatus (String)

Indicates the payment result. Valid values are: 

-   `SUCCESS`: Indicates that the payment succeeds. 
-   `FAIL`: Indicates that the payment fails. 
-   `PROCESSING`: Indicates that the payment is under processing. 
-   `CANCELLED`: Indicates that the payment is canceled.
-   `PENDING`: Indicates that the payment is completed. Wait for the final payment result.

> **Note**:
>
> -   This parameter is returned when the API is called successfully (the value of _result.resultStatus_ is `S`).
> -   For the subsequent actions after receiving the response, please refer to [_paymentStatus_ further actions](#oBpAO) under **More information**.

#### paymentResultCode (String)

The result code for different payment statuses. Possible payment result codes are listed in the Payment result codes table on this page.

> **Note**: This field is returned when the API is called successfully (the value of _result.resultStatus_ is `S`).

More information:

- Maximum length: 64 characters

#### paymentResultMessage (String)

The result message that explains the payment result code.

> **Note**: This field is returned when the API is called successfully (the value of _result.resultStatus_ is `S`).

More information:

- Maximum length: 256 characters

#### paymentRequestId (String)

The unique ID that is assigned by a merchant to identify a payment request.

> **Note**: This field is returned when the API is called successfully (the value of _result.resultStatus_ is `S`).

More information:

- Maximum length: 64 characters

#### paymentId (String)

The unique ID that is assigned by Antom to identify a payment.

> **Note**: This field is returned when the API is called successfully (the value of _result.resultStatus_ is `S`).

More information:

- Maximum length: 64 characters

#### paymentAmount (Amount)

The payment amount that the merchant requests to receive in the order currency.

##### currency (String, REQUIRED)

The transaction currency, which is a 3-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. (The transaction currency is the processing currency when the processing currency is the same as the presentment currency).

More information:

- Maximum length: 3 characters

##### value (Integer, REQUIRED)

The amount to charge as a positive integer in the smallest currency unit. (That is, 100 cents to charge $1.00, or 100 to charge JPY ¥100, a 0-decimal currency).

Notes: For details about the smallest currency unit, see [Smallest unit of the currency](https://global.alipay.com/docs/ac/ref/cc#ONkIe).

More information:

- Value range: 0 - unlimited

#### paymentCreateTime (Datetime)

The date and time when the payment is created. 

Note: This field is returned when the API is called successfully (the value of _result.resultStatus_ is `S`).

More information:

- The value follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard format. For example, "2019-11-27T12:01:01+08:00".

#### paymentTime (Datetime)

The date and time when the payment reaches a final state of success.

> Note: This field is returned only when the payment reaches a final state of success (the value of _paymentStatus_ is `SUCCESS`).

More information:

- The value follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard format. For example, "2019-11-27T12:01:01+08:00".

#### pspCustomerInfo (PspCustomerInfo)

The customer information of the digital wallets.

> **Note**: This field is returned when the digital wallets can provide the related information.

##### pspName (String)

The name of the digital wallets.

> **Note**: This field is returned when the digital wallets can provide the related information.

More information:

- Maximum length: 64 characters

##### pspCustomerId (String)

The customer ID of the digital wallets.

> **Note:** This field is returned when the digital wallets can provide the related information.

More information:

- Maximum length: 64 characters

##### displayCustomerId (String)

The customer ID used for display. For example, _loginId_.

> **Note**: This field is returned when the digital wallets can provide the related information.

More information:

- Maximum length: 64 characters

#### redirectActionForm (RedirectActionForm)

Information about the redirection action.

> **Note**: This field is returned when the value of _paymentResultCode_ is `PAYMENT_IN_PROCESS`.

##### method (String, REQUIRED)

The HTTP method to be used when the merchant initiates a redirection to the redirection URL. Valid values are:

-   `POST`: Indicates that the request that is sent to the redirection address needs to be a POST request.
-   `GET`: Indicates that the request that is sent to the redirection address needs to be a GET request.

##### parameters (String)

Parameters required for the HTTP method in the key-value pair.

> **Note**: This field is returned only when the _method_ is POST.

More information:

- Maximum length: 2048 characters

##### redirectUrl (URL, REQUIRED)

The URL where the user is redirected to.

More information:

- Maximum length: 2048 characters

##### actionFormType (String, REQUIRED)

The value is fixed as `RedirectActionForm`.

More information:

- Maximum length: 32 characters

#### acquirerReferenceNo (String)

The unique ID assigned by the non-Antom acquirer for the transaction.

More information:

- Maximum length: 64 characters

#### transactions (Array<Transaction>)

Information about the subsequent action against a transaction.

> **Note**: This parameter is returned when a refund or a capture against the transaction exists.

##### transactionResult (Result, REQUIRED)

The result of the subsequent action against the transaction.

###### resultCode (String, REQUIRED)

Result code. Possible values are listed in the Transaction result codes table on this page.

More information:

- Maximum length: 64 characters

###### resultStatus (String, REQUIRED)

Result status. Valid values are:  

-   `S`: Indicates that the capture is successful. You can proceed with the order and save the Antom side _captureId_ information for future refund handling.
-   `F`: Indicates that the capture failed. Initiate a new capture request using a different _captureRequestId_.
-   `U`: Indicates that the capture is processing. Call the [**inquiryPayment**](https://docs.antom.com/ac/ams/paymentri_online.md) API to inquire about the capture result.

###### resultMessage (String)

Result message

More information:

- Maximum length: 256 characters

##### transactionId (String, REQUIRED)

The unique ID that is assigned by Antom to identify a transaction.

-   When the transaction type is `REFUND`, the value of this parameter is identical to _refundId_.
-   When the transaction type is `CAPTURE`, the value of this parameter is identical to _captureId_.

More information:

- Maximum length: 64 characters

##### transactionType (String, REQUIRED)

The transaction type of the subsequent action. The valid values are:

-   `REFUND`: Indicates that the transaction is in the refund process or has been refunded.
-   `CAPTURE`: Indicates that the transaction is in the capture process or has been captured.

##### transactionStatus (String, REQUIRED)

Transaction status. Valid values are:

-   `SUCCESS`:Transaction is successful. 
-   `FAIL`: Transaction failed. 
-   `PROCESSING`: Transaction is being processed. 
-   `CANCELLED`:Transaction is canceled.

##### transactionAmount (Amount, REQUIRED)

The transaction amount. 

-   When the transaction type is `REFUND`, the value of this parameter is identical to _refundAmount_.
-   When the transaction type is `CAPTURE`, the value of this parameter is identical to _captureAmount_.

###### currency (String, REQUIRED)

The currency used for the corresponding payment of the refund. The value is a 3-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

More information:

- Maximum length: 3 characters

###### value (Integer, REQUIRED)

The amount to charge as a positive integer in the smallest currency unit. (That is, 100 cents to charge $1.00, or 100 to charge JPY ¥100, a 0-decimal currency).

Notes: For details about the smallest currency unit, see [Smallest unit of the currency](https://global.alipay.com/docs/ac/ref/cc#ONkIe).

More information:

- Value range: 1 - unlimited

##### transactionRequestId (String, REQUIRED)

The unique ID that is assigned by the merchant to identify the transaction request.

-   When the transaction type is `REFUND`, the value of this parameter is identical to _refundRequestId_.
-   When the transaction type is `CAPTURE`, the value of this parameter is identical to _captureRequestId_.

More information:

- Maximum length: 64 characters

#### customsDeclarationAmount (Amount)

The total amount for customs declaration.

> **Note**: This field is returned only when the payment succeeds and the payment method is AlipayCN.

##### currency (String, REQUIRED)

The 3-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

More information:

- Maximum length: 3 characters

##### value (Integer, REQUIRED)

The amount to charge as a positive integer in the smallest currency unit. (That is, 100 cents to charge $1.00, or 100 to charge JPY ¥100, a 0-decimal currency).

Notes: For details about the smallest currency unit, see [Smallest unit of the currency](https://global.alipay.com/docs/ac/ref/cc#ONkIe).

More information:

- Value range: 0 - unlimited

#### grossSettlementAmount (Amount)

The value of this field equals to transaction amount multiplied by the value of _settlementQuote_. This field is returned when the currency exchange is predetermined and the exchange rate is locked at the time of transaction.

##### currency (String, REQUIRED)

The 3-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

More information:

- Maximum length: 3 characters

##### value (Integer, REQUIRED)

The amount to charge as a positive integer in the smallest currency unit. (That is, 100 cents to charge $1.00, or 100 to charge JPY 100, a zero-decimal currency).

> **Note**: For details about the smallest currency unit, see [Smallest unit of the currency](https://docs.antom.com/ac/ref/cc.md#ONkIe).

More information:

- Value range: 1 - unlimited

#### settlementQuote (Quote)

The exchange rate between the settlement currency and transaction currency.

> **Note**: This field is returned when _grossSettlementAmount_ is returned.

##### guaranteed (Boolean)

Guaranteed exchange rate available for payment.

##### quoteCurrencyPair (String, REQUIRED)

The exchange rate between settlement currency and transaction currency. Two currencies are separated with a slash and use the three-letter [ISO-4217](https://www.iso.org/iso-4217-currency-codes.html) currency code.

More information:

- Maximum length: 16 characters

##### quoteExpiryTime (Datetime)

Expiration time of the exchange rate.

More information:

- The value follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard format. For example, "2019-11-27T12:01:01+08:00".

##### quoteId (String)

The unique ID that is assigned by Antom to identify an exchange rate.

More information:

- Maximum length: 64 characters

##### quotePrice (Decimal, REQUIRED)

The exchange rate used when a currency conversion between settlement currency and transaction currency occurs.

More information:

- Value range: 1 - unlimited

##### quoteStartTime (Datetime)

Effective time of the exchange rate.

More information:

- The value follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard format. For example, "2019-11-27T12:01:01+08:00".

#### paymentResultInfo (PaymentResultInfo)

The payment result information.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**pay (One-time Payments)**](https://docs.antom.com/ac/ams/payment_cashier.md) API is `CARD`, `GRABPAY_MY`, or `GRABPAY_SG` and the value of _paymentStatus_ is `SUCCESS` or `FAIL`.

**Scenario: Card** (CARD)

##### cardNo (String)

The masked card number, which just shows part of the card number and can be used to display to the user.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**pay (One-time Payments)**](https://docs.antom.com/ac/ams/payment_cashier.md) API is `CARD` and the merchant does not have the PCI qualification.

More information:

- Maximum length: 32 characters

##### cardBrand (String)

The card brand, which can be used to display to the user.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**pay (One-time Payments)**](https://docs.antom.com/ac/ams/payment_cashier.md) API is `CARD` .

More information:

- Maximum length: 256 characters

##### cardToken (String)

The token of the card, the value of this parameter is used by _paymentMethodId_ in the [**pay (One-time Payments)**](https://docs.antom.com/ac/ams/payment_cashier.md) API in subsequent payments.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**pay (One-time Payments)**](https://docs.antom.com/ac/ams/payment_cashier.md) API is `CARD` and the merchant does not have the PCI qualification.

More information:

- Maximum length: 128 characters

##### issuingCountry (String)

The issuing country of the card. The value of this parameter is a 2-letter country code that follows [ISO 3166 Country Codes](https://www.iso.org/obp/ui/#search) standard.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**pay (One-time Payments)**](https://docs.antom.com/ac/ams/payment_cashier.md) API is `CARD`.

More information:

- Maximum length: 2 characters

##### funding (String)

The funding type of the card. Valid values are:

-   `CREDIT`: indicates a credit card.
-   `DEBIT`: indicates a debit card.
-   `PREPAID`: indicates a prepaid card.
-   `CHARGE`: indicates a charge card.
-   `DEFERRED_DEBIT`: indicates a deferred debit card.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**pay (One-time Payments)**](https://docs.antom.com/ac/ams/payment_cashier.md) API or [**createPaymentSession (One-time Payments)**](https://docs.antom.com/ac/ams/session_cashier.md) API is `CARD`.

More information:

- Maximum length: 32 characters

##### paymentMethodRegion (String)

The region code that represents the country or region of the payment method. The value of this parameter is a 2-letter [ISO country code](https://www.iso.org/obp/ui/#search) or GLOBAL.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**pay (One-time Payments)**](https://docs.antom.com/ac/ams/payment_cashier.md) API is `CARD`.

More information:

- Maximum length: 6 characters

##### threeDSResult (ThreeDSResult)

The result of 3D Secure authentication.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**pay (One-time Payments)**](https://docs.antom.com/ac/ams/payment_cashier.md) API is `CARD` and the card authentication type is 3D Secure.

###### threeDSVersion (String, REQUIRED)

The version of 3D Secure protocol. Valid values are:

-   `1.0.2`
-   `2.1.0`
-   `2.2.0`

More information:

- Maximum length: 16 characters

###### eci (String, REQUIRED)

Electronic Commerce Indicator (ECI) that is returned by the card scheme. This parameter is used to indicate the type of cardholder identity authentication. Valid values are:

-   `02` or `05`: Indicates fully authenticated transaction.
-   `01` or `06`: Indicates attempted authentication transaction.
-   `00` or `07`: Indicates non-3D Secure transaction.
-   `04`: Indicates 3D Secure data-only transaction. No authentication required (for Mastercard only).

> **Note**: This parameter is returned when the value of _paymentMethodType_ is `CARD` and the issuing bank returns this data.

More information:

- Maximum length: 2 characters

###### cavv (String)

The cardholder authentication value. The value of this parameter can be Cardholder Authentication Verification Value (CAVV) or Authentication Verification Value (AVV).

> **Note**: This parameter is returned when the cardholder passes the 3D Secure authentication.

More information:

- Maximum length: 64 characters

###### dsTransactionId (String)

The unique transaction identifier assigned by the Directory Server (DS) for 3D Secure authentication.

> **Note**: This parameter is returned for 3D Secure 2.0.

More information:

- Maximum length: 64 characters

###### xid (String)

The unique transaction identifier assigned by the Directory Server (DS) for 3D Secure authentication.

> **Note**: This parameter is returned for 3D Secure 1.0.

More information:

- Maximum length: 64 characters

###### threeDSOffered (Boolean)

Indicates whether 3D Secure authentication was triggered for the payment. Valid values are:

-   `true`: indicates 3D Secure authentication was triggered for the payment. Determine the authentication result by combining the other returned 3D Secure parameters.

-   `false`: indicates 3D Secure authentication was not triggered for the payment.

> **Note**: This parameter may be returned even if the payment fails.

###### threeDStransactionStatusReason (String)

When a transaction is unsuccessful due to 3D Secure authentication failure, you may receive the transaction status reason code returned by this parameter, indicating the reason for the failure.

More information:

- Maximum length: 2 characters

###### challengeCancel (String)

Indicator informing the Access Control Server (ACS) and the Directory Server (DS) that the authentication has been cancelled. Possible values are:

-   `01`: Cardholder selected cancel.
-   `02`: 3DS Requestor cancelled authentication.
-   `03`: Transaction abandoned.
-   `04`: Transaction timed out at ACS — other timeouts.
-   `05`: Transaction timed out at ACS — the first Client Request not received by ACS.
-   `06`: Transaction error.
-   `07`: Unknown.
-   `08`: Transaction timed out at SDK.

More information:

- Maximum length: 2 characters

###### exemptionType (String)

The exemption type that Antom requested during 3DS authentication, specified through the 3DS requestor challenge indicator. Valid values are:

-   `dataOnly`: Transactions where shopper data is shared with the card schemes directly using the 3DS2 infrastructure. This flow is currently only available for Visa and Mastercard outside PSD2 SCA regulated markets.
-   `lowValue`: Transactions below €30 may be exempt from Strong Customer Authentication, if certain cumulative amount and transaction count criteria are met.
-   `transactionRiskAnalysis`: Transactions considered at low risk of fraud based on the fraud level of the payment provider.

More information:

- Maximum length: 64 characters

###### challenged (Boolean, REQUIRED)

Indicates whether a 3DS challenge was triggered. Valid values are:

-   `true`: The transaction has been challenged, and the user is required to complete the 3D Secure authentication process.
-   `false`: The transaction is a frictionless process, where the user does not experience the 3D Secure authentication process.

##### avsResultRaw (String)

The raw AVS result. See [AVS result codes](https://docs.antom.com/ac/ref/risk_methods.md#uk0zA) to check the valid values.

> **Note**: This parameter is returned when the issuing bank passes this information to Antom.

More information:

- Maximum length: 128 characters

##### cvvResultRaw (String)

The raw Card Verification Value (CVV), Card Security Code (CSC), or Card Verification Code (CVC) result. See [CVV result codes](https://docs.antom.com/ac/ref/risk_methods.md#sBWzx) to check the valid values.

> **Note**: This parameter is returned when the issuing bank passes this information to Antom.

More information:

- Maximum length: 128 characters

##### networkTransactionId (String)

The unique ID assigned by the card scheme to identify a transaction. The value of this parameter is used by the same parameter of [**pay (One-time Payments)**](https://docs.antom.com/ac/ams/payment_cashier.md) request in subsequent payments.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**pay (One-time Payments)**](https://docs.antom.com/ac/ams/payment_cashier.md) API is `CARD` and 3D Secure or non-3D Secure authentication is successful.

More information:

- Maximum length: 128 characters

##### cardCategory (String)

The payment card category. Valid vaules are:

-   `CONSUMER`: the personal card
-   `COMMERCIAL`: the business card

> **Note**: This parameter is returned when all the following conditions are met:
>
> -   The value of _paymentMethodType_ is `CARD`.
> -   The value of _cardNo_ is valid.
> -   The information is available in the Alipay card database.

More information:

- Maximum length: 32 characters

##### creditPayPlan (CreditPayPlan )

The installment plan information for an installment payment.

> **Note**: This parameter is returned when the buyer successfully made a payment in installments using a card.

###### installmentNum (Integer )

The number of installment payments.

> **Note**: This parameter is returned when the buyer successfully made a payment in installments using a card.

More information:

- Maximum length: 8 characters

###### interval (String)

The interval of each installment payment. The valid value is `MONTH`.

> **Note**: This parameter is returned when the buyer successfully made a payment in installments using a card.

More information:

- Maximum length: 16 characters

##### cardholderName (String)

The cardholder's name.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**pay (One-time Payments)**](https://docs.antom.com/ac/ams/payment_cashier.md) API is `CARD` for specific merchants in specific regions.

More information:

- Maximum length: 64 characters

##### cardBin (String)

The first six digits of the bank card number, used to identify the issuing bank and card type of the bank card.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**pay (One-time Payments)**](https://docs.antom.com/ac/ams/payment_cashier.md) API is `CARD` for specific merchants in specific regions.

More information:

- Maximum length: 8 characters

##### lastFour (String)

Last 4 digits of the card number.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**pay (One-time Payments)**](https://docs.antom.com/ac/ams/payment_cashier.md) API is `CARD` for specific merchants in specific regions.

More information:

- Maximum length: 4 characters

##### expiryMonth (Datetime)

The month the card expires. Pass in two digits representing the month. For example, if the expiry month is February, the value of this parameter is `02`.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**pay (Checkout Payment)**](https://docs.antom.com/ac/ams/payment_cashier.md) API is `CARD`.

More information:

- Maximum length: 2 characters
- The value follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard format. For example, "2019-11-27T12:01:01+08:00".

##### expiryYear (Datetime)

The year the card expires. Pass in the last two digits of the year number. For example, if the expiry year is 2025, the value of this parameter is `25`.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**pay (Checkout Payment)**](https://docs.antom.com/ac/ams/payment_cashier.md) API is `CARD`.

More information:

- Maximum length: 2 characters
- The value follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard format. For example, "2019-11-27T12:01:01+08:00".

##### refusalCodeRaw (String)

The response code indicates an issuer’s reason for declining a transaction. Valid values see [ISO codes](https://docs.antom.com/ac/ams/isocode.md).

> This parameter is returned when the following conditions are met:
>
> -   The transaction fails.
> -   The value of _paymentMethodType_ is `CARD`.
> -   The issuing bank has returned this data.

More information:

- Maximum length: 16 characters

##### refusalReasonRaw (String)

The error message that explains the response code.

> This parameter is returned when the following conditions are met:
>
> -   The transaction fails.
> -   The value of _paymentMethodType_ is `CARD`.
> -   The issuing bank has returned this data.

More information:

- Maximum length: 256 characters

##### merchantAdviceCode (String)

The Merchant Advice Code (MAC) provides additional information about the type of Mastercard transaction or the reason why the payment failed. If the payment failed, the MAC also gives guidance on if and when you can retry the payment. Valid values see [Merchant Advice Code](https://docs.antom.com/ac/ams/mac.md).

> **Note**: This parameter is returned when the value of _paymentMethodType_ is `CARD` and the issuing bank returns this value.

More information:

- Maximum length: 128 characters

##### credentialTypeUsed (String)

Indicates whether the transaction was processed with the primary account number (PAN) or a network token.

-   `PAN`: The transaction was processed using the PAN.
-   `NETWORK_TOKEN`: The transaction was processed using a network token provided by the merchant or Antom.

More information:

- Maximum length: 8 characters

##### exemptionRequested (String)

The exemption type that Antom requested for in the payment authorization. Valid values are:

-   `lowValue`: Transactions below €30 may be exempt from Strong Customer Authentication, if certain cumulative amount and transaction count criteria are met.
-   `transactionRiskAnalysis`: Transactions considered at low risk of fraud based on the fraud level of the payment provider.

More information:

- Maximum length: 64 characters

##### issuerName (String)

The issuing bank.

> This parameter is returned when the value of _paymentMethodType_ is `CARD`.

More information:

- Maximum length: 256 characters

**Scenario: Wallet** (WALLET)

##### funding (String)

The funding type of the wallet. This parameter is returned when the value of _paymentMethodType_ is `GRABPAY_MY` or `GRABPAY_SG`. Valid values are:

-   `WALLETS`: indicates a regular wallet payment using the wallet balance.
-   `BNPL_POSTPAID`: indicates a buy-now-pay-later payment, and the user pays the full amount.
-   `BNPL_INSTALLMENT`: indicates a buy-now-pay-later payment, and the user pays in installments.

More information:

- Maximum length: 20 characters

##### creditPayPlan (CreditPayPlan)

The installment plan information for an installment payment.

> **Note**: This parameter is returned when the value of _paymentResultInfo.funding_ is `BNPL_INSTALLMENT`.

###### installmentNum (Integer )

The number of installment payments. The value of this parameter is fixed as `4`.

> **Note**: This parameter is returned when the value of _paymentResultInfo.funding_ is `BNPL_INSTALLMENT`.

More information:

- Maximum length: 8 characters

###### interval (String)

The interval of each installment payment. The valid value is `MONTH`.

> **Note**: This parameter is returned when the value of _paymentResultInfo.funding_ is `BNPL_INSTALLMENT`.

More information:

- Maximum length: 16 characters

#### authExpirytime (Datetime)

The expiration date and time of the authorization payment. You cannot capture the payment after this time.

> **Note**: This parameter is returned when the value of _paymentMethodType_ in the [**pay (Checkout Payment)**](https://docs.antom.com/ac/ams/payment_cashier.md) API is `CARD`.

More information:

- The value follows the [ISO 8601](https://www.iso.org/iso-8601-date-and-time-format.html) standard format. For example, "2019-11-27T12:01:01+08:00".

#### promotionResult (Array <PromotionResult>)

Promotion result.

> **Note**: This parameter is returned when the buyer applied a promotion while placing an order.

##### promotionType (String, REQUIRED)

Promotion type. Valid values are:

`DISCOUNT`: a deduction from the regular price.

`INTEREST_FREE`: payment in interest-free installments.

More information:

- Maximum length: 32 characters

##### discount (Discount)

Discount information.

> **Note**: This parameter is returned when the buyer applied a promotion while placing an order.

###### discountName (String)

The discount name displayed in the default language.

More information:

- Maximum length: 128 characters

###### savingsAmount (Amount)

Discount amount.

###### value (Integer, REQUIRED)

The discount amount as a positive integer in the smallest currency unit. (That is, 100 cents to charge $1.00, or 100 to charge JPY 100, a 0-decimal currency).

> **Note**: For details about the smallest currency unit, see [Smallest unit of the currency](https://docs.antom.com/ac/ref/cc.md#ONkIe).

###### currency (String, REQUIRED)

A 3-letter currency code that follows the [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard.

#### paymentMethodType (String)

The payment method type that is included in payment method options. See [Payment methods](https://docs.antom.com/ac/pm/enumeration_values.md) to check the valid values.

> **Note**: This field will be returned when selecting the Antom Chechkout Page integration.

More information:

- Maximum length: 64 characters

#### metadata (String)

Your metadata provided during the payment process.

> This parameter is returned when you provided value to the parameter in the [**pay (One-time Payments)**](https://docs.antom.com/ac/ams/payment_cashier.md) API.

More information:

- Maximum length: 2048 characters

## More information 

This section provides additional information about key parameters.

### Description of special parameters

-   _paymentTime_: The successful execution time of this payment by Antom, that is, the date and time when the payment reaches a final state of success. This value is used as the start time of the subsequent cancellable and refundable time. For example, if the refundable time is 6 months, the final time to accept the refund is _paymentTime_ plus 6 months.
-   _paymentRequestId_ or _paymentId_: To decide when to use _paymentRequestId_ or _paymentId_**,** follow these rules:

-   If the **pay** API call returns successfully, use _paymentId_ or _paymentRequestId_ to inquire about the payment result.
-   If the [**cancel**](https://global.alipay.com/docs/ac/ams/paymentc_online) API call returns unknown exceptions or times out, use _paymentId_ or _paymentRequestId_ of the original payment to inquire about the cancel result.
-   If the **pay** API call returns unknown exceptions or timeouts, use _paymentRequestId_ to inquire about the payment result.

### Result process logic

For different request results, different actions are to be performed. See the following table for details:

| _**result.resultStatus**_ | **Message** | **Further actions** |
| --- | --- | --- |
| `S` | The [**inquiryPayment**](https://global.alipay.com/docs/ac/ams/paymentri_online) API is called successfully. | You can get the payment result from the _paymentStatus_ field of the API response. |
| `F` | The [**inquiryPayment**](https://global.alipay.com/docs/ac/ams/paymentri_online) API call failed. | You cannot get the payment result from the API response. |
| `U` | The status of the [**inquiryPayment**](https://global.alipay.com/docs/ac/ams/paymentri_online) API call is unknown. | Use the same request parameters to retry the [**inquiryPayment**](https://global.alipay.com/docs/ac/ams/paymentri_online) API. |

### _paymentStatus_ further actions

After receiving the _paymentStatus_, proceed with the next steps according to the further actions provided in the table.

| _**paymentStatus**_ | **Message** | **Further actions** |
| --- | --- | --- |
| `SUCCESS` | Payment or authorization was successful. | In regular payment mode, you may proceed with shipping goods. In authorized-capture mode, you may proceed with capture. |
| `FAIL` | Payment or authorization failed. | Please close the current transaction or submit a new payment with a different _paymentRequestId_. |
| `PROCESSING` | Payment or authorization is being processing. | Please continue querying or confirm the final status by querying again after the order closure time. |
| `CANCELLED` | Payment or authorization was canceled. | Please close the current transaction or submit a new payment with a different _paymentRequestId_. |
| `PENDING` | Payment or authorization completed, awaiting final result. | Please continue querying or waiting for asynchronous notifications from the [**notifyPayment**](https://docs.antom.com/ac/ams/paymentrn_online.md) API. |

## Result/Error codes

| Code | Value | Message | Further action |
| --- | --- | --- | --- |
| USER_NOT_SUBMITTED | F | Payment timeout due to user's failure to submit. When using the landing page/SDK integration, a timeout will be triggered if the user fails to submit after launching the payment details fill-in page. | Re-initiate a payment. |
| USER_AUTHENTICATION_NOT_FINISHED | F | User authentication failed due to a timeout.  This error code is returned when authentication is not completed after the 3D Secure page is launched during payment. | Re-initiate a payment. |
| PICKUP_CARD | F | The card issuer requests that the merchant retain the card.  This typically arises in cases of suspected counterfeit or stolen cards. | Contact the issuer immediately or use another card to pay the transaction. |
| DOMESTIC_DEBIT_TRANSACTION_NOT_ALLOWED | F | Domestic debit transaction not allowed. (Regional use only) | Contact the issuer immediately or use another card to pay the transaction. |
| BLOCKED_BY_CARDHOLDER | F | This card has been locked by the user. | Contact the issuer immediately or use another card to pay the transaction. |
| RESTRICTED_CARD | F | The card issuer has imposed restrictions on where the card can be used. | Contact the issuer immediately or use another card to pay the transaction. |
| CARD_EXPIRED | F | Card has expired. | Check whether the value of paymentMethod.paymentMethodMetaData.expiryYear or paymentMethod.paymentMethodMetaData.expiryMonth is correct. If not correct, pass in the correct value. If correct, contact Antom Technical Support for detailed reasons. |
| ACCOUNT_CLOSED | F | The account is closed.  Please verify the account number for accuracy and do not attempt to process the same PAN or token again. | Contact the issuer immediately or use another card to pay the transaction. |
| INVALID_CVV | F | The CVV code is invalid. | Prompt the user to check if the entered CVV is correct. |
| INSTALLMENT_NOT_SUPPORTED | F | This card or merchant does not support installments. | This card does not support installment, please change a card to pay. |
| PAYMENT_METHOD_SYSTEM_ERROR | F | Payment method system error. | Issuer system error, please contact the issuer. |
| INVALID_INSTALLMENT_PLAN | F | The number or the interval of installment plans is incorrect. | Please adjust the number of installments and try again. |
| SUCCESS | S | Success | The API is called successfully. Obtain the order status by paymentStatus. |
| ACCESS_DENIED | F | Access is denied. | Contact Antom Technical Support for detailed reasons. |
| INVALID_API | F | The called API is invalid or not active. | Contact Antom Technical Support to resolve the issue. |
| KEY_NOT_FOUND | F | The private key or public key of <span>Antom</span>y or the merchant is not found. | Check whether the private key or public key exists. If not, upload the private key in Antom Developer Center. |
| NO_INTERFACE_DEF | F | API is not defined. | Check whether the URL is correct. Please refer to the endpoint in the API documentation. |
| ORDER_NOT_EXIST | F | The order does not exist. | Check whether paymentId is correct. If correct, contact Antom Technical Support for specific reasons. |
| PARAM_ILLEGAL | F | The required parameters are not passed, or illegal parameters exist. For example, a non-numeric input, an invalid date, or the length and type of the parameter are wrong. | Check and verify whether the required request fields (including the header fields and body fields) of the current API are correctly passed and valid. |
| PAYMENT_IN_PROCESS | U | The payment is being processed. | For One-time Payments, the request you initiated has the same paymentRequestId as that of the existed transaction, which might be a successful or in-process transaction. Check whether redirectActionForm.redirectUrl is returned in the response. If returned, redirect the user to the address specified by redirectUrl to complete the payment. If not, the payment might already be completed. See Result process logic for details. For Tokenized Payment, the payment is being processed. Wait for the asynchronous notification or call the inquiryPayment API to query the final payment status. |
| PROCESS_FAIL | F | A general business failure occurred. | It is recommended that you contact Antom Technical Support to troubleshoot the issue. |
| SYSTEM_ERROR | F | A system error occurred. | Do not retry, and contact Antom Technical Support for more details. |
| REQUEST_TRAFFIC_EXCEED_LIMIT | U | The request traffic exceeds the limit. | Call the API again to resolve the issue. If not resolved, contact Antom Technical Support. |
| UNKNOWN_EXCEPTION | U | An API call has failed, which is caused by unknown reasons. | Call the API again to resolve the issue. If not resolved, contact Antom Technical Support. |
| INVALID_CPF | F | The provided CPF number is invalid. | Please confirm your identification details and try again. |
| REFERRAL_ISSUER | F | The transaction was declined by the card issuer. | The cardholder should contact their issuer for clarification and retry after resolution. |
| TRANSACTION_NOT_PERMITTED | F | The card issuer declined the transaction on this card/account. | Use an alternative payment method or contact the issuer. |
| INVALID_PIN | F | The PIN is incorrect or invalid. | Ensure the correct PIN is entered with valid format/length. |
| LIFECYCLE | F | Declined due to invalid card data. | Verify card details (number/expiry/CVV). |
| LAW_VIOLATION | F | The issuing bank declined the transaction. | Contact the issuer for details. |
| PIN_REQURED | F | PIN is mandatory but not provided. | Reattempt with a valid PIN. |
| LOST_CARD | F | Lost card, pick up card (fraud account). | Contact the issuer immediately. |
| STOLEN_CARD | F | Stolen card, pick up (fraud account). | Contact the issuer immediately. |
| SECURITY_REJECT | F | The transaction was declined due to a security issue detected by the card issuer. | Verify Information: Ensure that all card details, including the CVV/CVC and billing address, are entered correctly.Contact Issuer: Reach out to the bank or financial institution that issued the Mastercard for more information and assistance.Use Alternative Payment: If immediate payment is necessary, consider using a different card or payment method. |
| BLOCKED_FIRST_USED | F | When a card is either temporarily blocked, has not been activated for first use, or is subject to special conditions that prevent processing (e.g., new cardholder not activated). | Activate the card or check with the issuer. |
| CANNOT_VERIFY_PIN | F | PIN verification failed. | Retry without PIN or contact issuer. |
| SURCHARGE_NOT_ALLOWED | F | Surcharge not permitted on this card. | Contact the issuer. |
| EXCEEDS_PREAUTHORIZED_AMOUNT_LIMIT | F | Transaction exceeds preauthorized approval limit. | Reduce amount or request higher limit. |
| STOP_RECURRING_PAYMENT | F | The buyer has requested to cancel or stop their subscription. | The cardholder should contact their issuer for clarification and can either try again after resolving the issue. |
| POLICY | F | Policy restrictions. | The cardholder should contact their issuer for clarification. |
| INVALID_TRANSACTION | F | Invalid transaction. | Do not retry, and contact Antom Technical Support for more details. |
| RE_ENTER_TRANSACTION | F | Transaction temporarily cannot be processed. | The cardholder should contact their issuer for clarification and may attempt again once the issue is resolved. |
| TRANSACTION_NOT_ALLOWED_AT_TERMINAL | F | Transaction is not allowed at terminal. | The cardholder should contact their issuer for clarification and can either try again after resolving the issue. |
| INVALID_MCC | F | Invalid MCC. | Do not retry, and contact Antom Technical Support for more details. |
| NO_SELECTED_ACCOUNT | F | Used when the cardholder has selected specific account but does not have. | May reattempt using correct account type. |
| INVALID_ISSUER | F | It is not possible to reach out to the shopper's issuer for transaction authorization. | Do not retry. Please contract your issuer to confirm the card status. |

## Payment result codes

| Code | Value | Message | Further action |
| --- | --- | --- | --- |
| SUCCESS | S | Success | The payment is successful, no further action is needed. |
| ACCESS_DENIED | F | Access is denied. | Contact Antom Technical Support for detailed reasons. |
| CURRENCY_NOT_SUPPORT | F | The currency is not supported. | Contact Antom Technical Support for detailed reasons. |
| FRAUD_REJECT | F | The transaction cannot be further processed because of risk control. If the user has already paid for the transaction, the transaction will be refunded.  | Contact Antom Technical Support when one of the following conditions is met:  You want to make an appeal.  The user does not receive the refund within two weeks. |
| INVALID_API | F | The called API is invalid or not active. | Contact Antom Technical Support to resolve the issue. |
| INVALID_CARD | F | The card is invalid. Maybe the credit card number cannot be identified, the card has no corresponding issuing bank, or the card number is in the wrong format.  | Use a new card to initiate a payment or contact the issuing bank. |
| INVALID_EXPIRY_DATE_FORMAT | F | The format of expiryYear or expiryMonth is wrong.  | Check the format of the passed parameters expiryYear and expiryMonth. |
| ISSUER_REJECTS_TRANSACTION | F | The issuing bank rejects the transaction.  | Use a new card to initiate a payment or contact the issuing bank. |
| INVALID_ACCESS_TOKEN | F | The access token is expired, revoked, or does not exist. | Check whether the accessToken is expired, revoked, or does not exist. Re-sign the contract and re-initiate the authorization signing process. |
| INVALID_MERCHANT_STATUS | F | The merchant status is abnormal because restrictions exist. | Contact Antom Technical Support for detailed reasons. |
| KEY_NOT_FOUND | F | The private key or public key of <span>Antom</span> or the merchant is not found. | Check whether the private key or public key exists. If not, upload the private key in Antom Developer Center. |
| MERCHANT_KYB_NOT_QUALIFIED | F | The payment failed because of the merchant's KYB status. The merchant is either not KYB compliant, or the KYB status is not qualified for this transaction. | Contact Antom Technical Support for detailed reasons. |
| NO_INTERFACE_DEF | F | API is not defined. | Check whether the URL is correct. Please refer to the endpoint in the API documentation. |
| NO_PAY_OPTIONS | F | No payment options are available. | Contact Antom Technical Support for detailed reasons. |
| ORDER_IS_CLOSED | F | The request you initiated has the same paymentRequestId as that of the existed transaction, which is closed. | Use a new paymentRequestId to initiate the payment again. |
| PARAM_ILLEGAL | F | The required parameters are not passed, or illegal parameters exist. For example, a non-numeric input, an invalid date, or the length and type of the parameter are wrong. | Check and verify whether the required request fields (including the header fields and body fields) of the current API are correctly passed and valid. |
| PAYMENT_AMOUNT_EXCEED_LIMIT | F | The payment amount is greater than the maximum amount allowed by the contract or payment method. | Check whether the payment amount exceeds the limit or use a lower amount and try again. Contact Antom technical support to know the specific limitation. |
| PAYMENT_COUNT_EXCEED_LIMIT | F | The maximum number of payments exceeds the limit that is specified by the payment method. | Contact Antom Technical Support to know the specific limitation. |
| PAYMENT_NOT_QUALIFIED | F | The merchant is not qualified to pay because the merchant is not registered, does not have a contract for Tokenized Payment, or is forbidden to make a payment. | Contact Antom Technical Support for detailed reasons. |
| PROCESS_FAIL | F | A general business failure occurred. | Do not retry. Human intervention is usually needed. It is recommended that you contact Antom Technical Support to troubleshoot the issue. |
| RISK_REJECT | F | The transaction cannot be further processed because of risk control. If the user has already paid for the transaction, the transaction will be refunded.  | If the user does not receive the refund within two weeks, contact Antom Technical Support. |
| SUSPECTED_CARD | F | The card is suspected of fraud. For example, the card is stolen or restricted.  | Use a new card to initiate a payment or contact the issuing bank. |
| SUSPECTED_RISK | F | The transaction cannot be further processed because of suspected security issues. You can retry the transaction after one working day.  If the transaction is not secure and the user has already paid, the transaction will be refunded.  | Contact Antom Technical Support when one of the following conditions is met:  The transaction cannot be further processed after you retry. The user does not receive the refund within two weeks. |
| SYSTEM_ERROR | F | A system error occurred. | Do not retry, and contact Antom Technical Support for more details. |
| USER_AMOUNT_EXCEED_LIMIT | F | The payment amount exceeds the user payment limit. | Create a new payment by using an amount less than or equal to the account's available balance, or contact Antom Technical Support. |
| USER_BALANCE_NOT_ENOUGH | F | The payment cannot be completed because the user balance in the corresponding payment method is not enough. | Please top up the account or choose other payment methods. |
| USER_KYC_NOT_QUALIFIED | F | The payment failed because of the user's KYC status. The user is either not KYC compliant, or the KYC status is not qualified for this transaction (for example, limitations on the payment amount or product information). | Complete the KYC verification first. |
| USER_PAYMENT_VERIFICATION_FAILED | F | The user is restricted from payment on the payment method side. | Contact Antom Technical Support to know the specific reasons. |
| USER_STATUS_ABNORMAL | F | The user status is abnormal on the payment method side. | Contact Antom Technical Support to know the specific reasons. |
| PAYMENT_IN_PROCESS | U | The payment is being processed. | For One-time Payments, the request you initiated has the same paymentRequestId as that of the existed transaction, which might be a successful or in-process transaction. Check whether redirectActionForm.redirectUrl is returned in the response. If returned, redirect the user to the address specified by redirectUrl to complete the payment. If not, the payment might already be completed. See Result process logic for details. For Tokenized Payment, the payment is being processed. Wait for the asynchronous notification or call the inquiryPayment API to query the final payment status. |
| UNKNOWN_EXCEPTION | U | An API call has failed, which is caused by unknown reasons. | For One-time Payments, call the pay API again with a new paymentRequestId to resolve the issue. If not resolved, contact Antom Technical Support.For Tokenized Payment, call the pay API again or call the inquiryPayment API to query the final payment status. If the issue is not resolved, contact Antom Technical Support. |
| CARD_NOT_SUPPORTED | F | The card used for the transaction is not supported. | Use another card to pay the transaction. |
| INVALID_EXPIRATION_DATE | F | The value of paymentMethod.paymentMethodMetaData.expiryYear or paymentMethod.paymentMethodMetaData.expiryDate is invalid.  | Check whether the value of paymentMethod.paymentMethodMetaData.expiryYear or paymentMethod.paymentMethodMetaData.expiryDate is correct:  If not correct, pass in the correct value.  If correct, contact Antom Technical Support for detailed reasons. |
| INVALID_CARD_NUMBER | F | The number of the card used for the transaction is invalid.  | Check whether the value of paymentMethod.paymentMethodMetaData.cardNo specified in the pay (One-time Payments) API is correct:If not correct, pass in the correct value and try again. If correct, this card is not supported by the transaction, use another card to pay the transaction. |
| DO_NOT_HONOR | F | The payment is declined by the issuing bank. | Retry the payment using a different card or contact the issuing bank. |

## Transaction result codes

| Code | Value | Message | Further action |
| --- | --- | --- | --- |
| SUCCESS | S | Success | The API is called successfully. Obtain the refund status from refundStatus. |
| ACCESS_DENIED | F | Access is denied. | Contact Antom Technical Support for detailed reasons. |
| INVALID_API | F | The called API is invalid or not active. | Contact Antom Technical Support to resolve the issue. |
| CLIENT_INVALID | F | The client ID is invalid. <span>Antom</span> has restrictions on client ID. | Check whether the client ID is correct, or contact Antom Technical Support for detailed reasons. |
| KEY_NOT_FOUND | F | The private key or public key of <span>Antom</span> or the merchant is not found. | Check whether the private key or public key exists. If not, upload the private key in Antom Developer Center. |
| NO_INTERFACE_DEF | F | API is not defined. | Check whether the URL is correct. Please refer to the endpoint in the API documentation. |
| ORDER_NOT_EXIST | F | The order does not exist. | Call the API again after 15 seconds. If no results are returned after three retries, the order has not been placed. |
| PARAM_ILLEGAL | F | The required parameters are not passed, or illegal parameters exist. For example, a non-numeric input, an invalid date, or the length and type of the parameter are wrong. | Check and verify whether the required request fields (including the header fields and body fields) of the current API are correctly passed and valid. |
| PROCESS_FAIL | F | A general business failure occurred. | Do not retry. Human intervention is usually needed. It is recommended that you contact Antom Technical Support to troubleshoot the issue. |
| SYSTEM_ERROR | F | A system error occurred. | Do not retry, and contact Antom Technical Support for more details. |
| REQUEST_TRAFFIC_EXCEED_LIMIT | U | The request traffic exceeds the limit. | Call the API again to resolve the issue. If not resolved, contact Antom Technical Support. |
| UNKNOWN_EXCEPTION | U | An API call has failed, which is caused by unknown reasons. | Call the API again to resolve the issue. If not resolved, contact Antom Technical Support. |
| PAYMENT_IN_PROCESS | U | The payment is being processed. | For One-time Payments, the request you initiated has the same paymentRequestId as that of the existed transaction, which might be a successful or in-process transaction. Check whether redirectActionForm.redirectUrl is returned in the response. If returned, redirect the user to the address specified by redirectUrl to complete the payment. If not, the payment might already be completed. See Result process logic for details. For Tokenized Payment, the payment is being processed. Wait for the asynchronous notification or call the inquiryPayment API to query the final payment status. |
| AUTHENTICATION_REQUIRED | F | 3D Secure authentication is required. | Reinitiate the payment and redirect the user to perform 3D Secure authentication. |
| PAYMENT_PROHIBITED | F | The payment cannot be processed because the goods are prohibited from sale in the country. | You are not allowed to appeal against this transaction. |
| INVALID_AMOUNT | F | The transaction was declined by the issuing bank due to various reasons. For example, the specified amount is invalid or exceeds the maximum amount limit.  | Contact Antom Technical Support for detailed reasons. |

## Request

```json
{
  "paymentId": "2019060811401080010018882020035****",
  "merchantAccountId": "2188234232"
}
```

## Response

### SUCCESS_PAYMENT

```json
{
  "result": {
    "resultCode": "SUCCESS",
    "resultStatus": "S",
    "resultMessage": "Success"
  },
  "paymentStatus": "SUCCESS",
  "paymentRequestId": "pay_1089760038715669_10277574507XXXX",
  "paymentId": "2019060811401080010018882020035XXXX",
  "paymentAmount": {
    "value": "500",
    "currency": "USD"
  },
  "paymentCreateTime": "2019-06-01T12:01:01+08:30",
  "paymentTime": "2019-06-01T12:01:01+08:30",
  "transactions": null
}
```

### TIMEOUT_PAYMENT

```json
{
  "result": {
    "resultStatus": "S",
    "resultCode": "SUCCESS",
    "resultMessage": "Success"
  },
  "paymentId": "2020112319401080010018820024107XXXX",
  "paymentResultCode": "PROCESS_FAIL",
  "paymentRequestId": "3cb72ff85fbbf033a5eb099797XXXX",
  "paymentResultMessage": "A general business failure occurred.",
  "paymentAmount": {
    "currency": "PHP",
    "value": "15000"
  },
  "paymentStatus": "FAIL"
}
```

### CANCELED_AFTER_PAY

```json
{
  "paymentAmount": {
    "currency": "PHP",
    "value": "1314"
  },
  "paymentId": "20200513114010800100188770269589293",
  "paymentRequestId": "REQUEST_20200513161204",
  "paymentResultCode": "SUCCESS",
  "paymentResultMessage": "Success",
  "paymentStatus": "CANCELLED",
  "paymentTime": "2020-05-13T01:12:52-07:00",
  "result": {
    "resultCode": "SUCCESS",
    "resultMessage": "Success",
    "resultStatus": "S"
  }
}
```

### TRANSACTION_PARTIAL_REFUNDED

```json
{
  "paymentAmount": {
    "currency": "PHP",
    "value": "1314"
  },
  "paymentId": "20200513114010800100188390269396641",
  "paymentRequestId": "REQUEST_20200513162034",
  "paymentResultCode": "SUCCESS",
  "paymentResultMessage": "Success",
  "paymentStatus": "SUCCESS",
  "paymentTime": "2020-05-13T01:21:16-07:00",
  "result": {
    "resultCode": "SUCCESS",
    "resultMessage": "Success",
    "resultStatus": "S"
  },
  "transactions": [
    {
      "transactionAmount": {
        "currency": "PHP",
        "value": "900"
      },
      "transactionId": "20200513114010801300188390262656585",
      "transactionRequestId": "REFUND_20200513162125",
      "transactionResult": {
        "resultCode": "SUCCESS",
        "resultMessage": "Success",
        "resultStatus": "S"
      },
      "transactionStatus": "SUCCESS",
      "transactionType": "REFUND"
    }
  ]
}
```

### TRANSACTION_FULLY_REFUNDED

```json
{
  "paymentAmount": {
    "currency": "PHP",
    "value": "1314"
  },
  "paymentId": "20200513114010800100188990269543596",
  "paymentRequestId": "REQUEST_20200513162746",
  "paymentResultCode": "SUCCESS",
  "paymentResultMessage": "Success",
  "paymentStatus": "SUCCESS",
  "paymentTime": "2020-05-13T01:28:50-07:00",
  "result": {
    "resultCode": "SUCCESS",
    "resultMessage": "Success",
    "resultStatus": "S"
  },
  "transactions": [
    {
      "transactionAmount": {
        "currency": "PHP",
        "value": "1314"
      },
      "transactionId": "20200513114010801300188990262696692",
      "transactionRequestId": "REFUND_20200513162905",
      "transactionResult": {
        "resultCode": "SUCCESS",
        "resultMessage": "Success",
        "resultStatus": "S"
      },
      "transactionStatus": "SUCCESS",
      "transactionType": "REFUND"
    }
  ]
}
```

### ORDER_NOT_EXIST

```json
{
  "result": {
    "resultCode": "ORDER_NOT_EXIST",
    "resultMessage": "The order does not exist.",
    "resultStatus": "F"
  }
}
```

### TRANSACTION_NOT_PAID

```json
{
  "paymentAmount": {
    "currency": "PHP",
    "value": "1314"
  },
  "paymentId": "20200630114010800100188520278987166",
  "paymentRequestId": "REQUEST_20200630181947995",
  "paymentResultCode": "PAYMENT_IN_PROCESS",
  "paymentResultMessage": "The payment is being processed.",
  "paymentStatus": "PROCESSING",
  "redirectActionForm": {
    "actionFormType": "RedirectActionForm",
    "method": "GET",
    "redirectUrl": "https://payments.gcash.com/gcashapp/gcash-cashier-web/1.2.1/index.html#/confirm?bizNo=20200630121212800110170855406486947×tamp=1593512390507&sign=iKf4YrRKigOeJK3fV1youJJgvin1ZqBJzQ2qf4yqMdvXV8L1Z5zYueCZIkCf9FCpS%2FsdXvO1JeuOHvDHLO29bij4rsphAJhaH4aFRiaVvTTIHm88lSD81bSwY3Vg%2FABQWgM2%2F2wrQXVFwyoHCTcZ8FI5wYYufKi99a4KYLCcjByFVNFGaq2k%2BJHfj81PpCrdoJ9FLRUNJ%2FQqfWSlRDp%2BcvOkRs5vsk4zOy6eNhmlEZRfXf8m9qwVCFk1ri5nYVGQkaI61Byv%2By3DXYZpEuemCvRXQkXJWGNWp2tZEkxlFsxUXrVIKKhOmq0FOEY%2BQmEQNe4y4MYGumTseaI14EEHOQ%3D%3D&merchantName=IGG+Test+&orderAmount=13.14"
  },
  "result": {
    "resultCode": "SUCCESS",
    "resultMessage": "Success",
    "resultStatus": "S"
  }
}
```

### TRANSACTION_CANCELED_UNPAID

```json
{
  "paymentAmount": {
    "currency": "PHP",
    "value": "1314"
  },
  "paymentId": "20200513114010800100188570269405311",
  "paymentRequestId": "REQUEST_20200513161501",
  "paymentResultCode": "SUCCESS",
  "paymentResultMessage": "Success",
  "paymentStatus": "CANCELLED",
  "result": {
    "resultCode": "SUCCESS",
    "resultMessage": "Success",
    "resultStatus": "S"
  }
}
```

### TRANSACTION_UNPAID_CLOSED

```json
{
  "paymentAmount": {
    "currency": "PHP",
    "value": "1314"
  },
  "paymentId": "20200513114010800100188540269393115",
  "paymentRequestId": "REQUEST_20200513160031",
  "paymentResultCode": "PROCESS_FAIL",
  "paymentResultMessage": "A general business failure occurred.",
  "paymentStatus": "FAIL",
  "result": {
    "resultCode": "SUCCESS",
    "resultMessage": "Success",
    "resultStatus": "S"
  }
}
```

### INSUFFICIENT_BALANCE

```json
{
  "paymentAmount": {
    "currency": "IDR",
    "value": "155500000"
  },
  "paymentId": "20200710114010800100188160281112588",
  "paymentRequestId": "PAYMENT_20200710144213947",
  "paymentResultCode": "BALANCE_NOT_ENOUGH",
  "paymentResultMessage": "The payment cannot be completed because the user balance in the corresponding payment method is not enough.",
  "paymentStatus": "FAIL",
  "result": {
    "resultCode": "SUCCESS",
    "resultMessage": "Success",
    "resultStatus": "S"
  }
}
```

### LIMIT_EXCEEDED

```json
{
  "result": {
    "resultStatus": "S",
    "resultCode": "SUCCESS",
    "resultMessage": "Success"
  },
  "paymentId": "20200917194010800100188920233967506",
  "paymentResultCode": "AMOUNT_EXCEED_LIMIT",
  "paymentRequestId": "3486440071-7941f2eb-27920041",
  "paymentResultMessage": "The payment amount is greater than the maximum amount allowed by the contract or wallet.",
  "paymentAmount": {
    "currency": "HKD",
    "value": "16000"
  },
  "paymentStatus": "FAIL"
}
```

### PAYMENT_PENDING

```json
{
  "paymentAmount": {
    "currency": "PLN",
    "value": "1212"
  },
  "paymentCreateTime": "2022-04-01T16:20:43+08:00",
  "paymentId": "082043164880124384021415515243957428eKubpwyJuw202203311003871286",
  "paymentRequestId": "PR_1644317047523158228811236",
  "paymentStatus": "PENDING",
  "result": {
    "resultCode": "SUCCESS",
    "resultMessage": "success",
    "resultStatus": "S"
  }
}
```

### CAPTURE_SUCCESSFUL

```json
{
  "result": {
    "resultStatus": "S",
    "resultCode": "SUCCESS",
    "resultMessage": "success."
  },
  "paymentId": "2022XXXXXXXXX",
  "paymentResultCode": "SUCCESS",
  "paymentRequestId": "Merchant_Request_ID_XXXXXX",
  "paymentResultMessage": "success",
  "paymentTime": "2022-09-29T07:12:54-07:00",
  "transactions": [
    {
      "transactionType": "CAPTURE",
      "transactionStatus": "SUCCESS",
      "transactionRequestId": "test_test_test_XXXX",
      "transactionAmount": {
        "currency": "BRL",
        "value": "110"
      },
      "transactionId": "2022XXXXXXXX",
      "transactionResult": {
        "resultStatus": "S",
        "resultCode": "SUCCESS",
        "resultMessage": "success"
      }
    }
  ],
  "paymentAmount": {
    "currency": "BRL",
    "value": "110"
  },
  "paymentStatus": "SUCCESS"
}
```

### CAPTURE_FAILED

```json
{
  "result": {
    "resultStatus": "S",
    "resultCode": "SUCCESS",
    "resultMessage": "success."
  },
  "paymentId": "2022XXXXXXXXX",
  "paymentResultCode": "SUCCESS",
  "paymentRequestId": "Merchant_Request_ID_XXXXXX",
  "paymentResultMessage": "success",
  "paymentTime": "2022-09-29T07:12:54-07:00",
  "transactions": [
    {
      "transactionType": "CAPTURE",
      "transactionStatus": "FAIL",
      "transactionRequestId": "test_test_test_XXXX",
      "transactionAmount": {
        "currency": "BRL",
        "value": "110"
      },
      "transactionId": "2022XXXXXXXX",
      "transactionResult": {
        "resultStatus": "F",
        "resultCode": "PROCESS_FAIL",
        "resultMessage": "General business failure. No retry."
      }
    }
  ],
  "paymentAmount": {
    "currency": "BRL",
    "value": "110"
  },
  "paymentStatus": "SUCCESS"
}
```

### CAPTURE_IN_PROCESS

```json
{
  "result": {
    "resultStatus": "S",
    "resultCode": "SUCCESS",
    "resultMessage": "success."
  },
  "paymentId": "2022XXXXXXXXX",
  "paymentResultCode": "SUCCESS",
  "paymentRequestId": "Merchant_Request_ID_XXXXXX",
  "paymentResultMessage": "success",
  "paymentTime": "2022-09-29T07:12:54-07:00",
  "transactions": [
    {
      "transactionType": "CAPTURE",
      "transactionStatus": "PROCESSING",
      "transactionRequestId": "test_test_test_XXXX",
      "transactionAmount": {
        "currency": "BRL",
        "value": "110"
      },
      "transactionId": "2022XXXXXXXX",
      "transactionResult": {
        "resultStatus": "U",
        "resultCode": "PAYMENT_IN_PROCESS",
        "resultMessage": "payment in process"
      }
    }
  ],
  "paymentAmount": {
    "currency": "BRL",
    "value": "110"
  },
  "paymentStatus": "SUCCESS"
}
```

### RESPONSE_FOR_CKP

```json
{
  "paymentAmount": {
    "currency": "USD",
    "value": "500"
  },
  "paymentCreateTime": "2019-06-01T12:01:01+08:30",
  "paymentId": "2019060811401080010018882020035XXXX",
  "paymentRequestId": "pay_1089760038715669_10277574507XXXX",
  "paymentStatus": "SUCCESS",
  "paymentTime": "2019-06-01T12:01:01+08:30",
  "paymentMethodType": "GRABPAY_SG",
  "result": {
    "resultCode": "SUCCESS",
    "resultMessage": "Success",
    "resultStatus": "S"
  },
  "transactions": null
}
```

### CARD_AUTH_SUCCESSFUL

```json
{
  "paymentAmount": {
    "currency": "USD",
    "value": "1690"
  },
  "paymentId": "20241129194010800100188150210342100",
  "paymentMethodType": "CARD",
  "paymentRedirectUrl": "http://www.baidu.com",
  "paymentRequestId": "2024112111197879192134",
  "paymentResultCode": "SUCCESS",
  "paymentResultInfo": {
    "avsResultRaw": "",
    "cardBin": "411227",
    "cardBrand": "VISA",
    "cardNo": "************5853",
    "cvvResultRaw": "",
    "expiryMonth": "12",
    "expiryYear": "34",
    "funding": "CREDIT",
    "cardholderName": "name test",
    "issuingCountry": "US",
    "lastFour": "5853",
    "paymentMethodRegion": "GLOBAL",
    "threeDSResult": {
      "cavv": "",
      "eci": "07"
    },
    "useAccountUpdate": false
  },
  "paymentResultMessage": "success.",
  "paymentStatus": "SUCCESS",
  "paymentTime": "2024-11-29T01:09:37-08:00",
  "transactions": [
    {
      "transactionAmount": {
        "currency": "USD",
        "value": "1690"
      },
      "transactionId": "20241129194010807000188150210353255",
      "transactionRequestId": "2024112111197879192134",
      "transactionResult": {
        "resultCode": "SUCCESS",
        "resultMessage": "success",
        "resultStatus": "S"
      },
      "transactionStatus": "SUCCESS",
      "transactionTime": "2024-11-29T01:09:47-08:00",
      "transactionType": "CAPTURE"
    }
  ],
  "result": {
    "resultCode": "SUCCESS",
    "resultMessage": "success.",
    "resultStatus": "S"
  }
}
```